package asmc

import (
	"git.urbach.dev/cli/q/src/arm"
	"git.urbach.dev/cli/q/src/cpu"
)

func (c *compiler) moveRegisterNumberARM(register cpu.Register, number int) {
	code, encodable := arm.MoveRegisterNumber(register, number)

	if encodable {
		c.append(code)
	} else {
		panic("not implemented") // movz movk
	}
}
